Skip to main content
GET
/
api
/
v1
/
storage
/
files
List Files
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/storage/files \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/storage/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/storage/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "file_name": "<string>",
    "file_path": "<string>",
    "content_type": "<string>",
    "file_size_bytes": 123,
    "checksum": "<string>",
    "uploaded_by": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "last_accessed_at": "<string>",
    "access_count": 123,
    "provider": "<string>",
    "tags": [
      "<string>"
    ],
    "custom_metadata": {}
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Query Parameters

path_prefix
string | null

Filter by path prefix

limit
integer
default:100

Maximum files to return

Required range: 1 <= x <= 1000
offset
integer
default:0

Pagination offset

Required range: x >= 0
sort_by
string
default:created_at
Pattern: ^(created_at|file_name|file_size_bytes)$
sort_order
string
default:desc
Pattern: ^(asc|desc)$

Response

Successful Response

id
string
required
file_name
string
required
file_path
string
required
content_type
string
required
file_size_bytes
integer
required
checksum
string | null
required
uploaded_by
string
required
created_at
string
required
updated_at
string
required
last_accessed_at
string | null
required
access_count
integer
required
provider
string
required
tags
string[]
custom_metadata
Custom Metadata · object